Bug 57775 - -devel package should contain .la files
Summary: -devel package should contain .la files
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bonobo (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-21 22:25 UTC by Enrico Scholz
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-22 14:58:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-12-21 22:25:39 UTC
The bonobo build-process creates and installs libtool library files which
should be in the -devel package also:

$ ls /var/tmp/bonobo-1.0.17-root/usr/lib/*.la
/var/tmp/bonobo-1.0.17-root/usr/lib/libbonobo-print.la
/var/tmp/bonobo-1.0.17-root/usr/lib/libbonobo.la
/var/tmp/bonobo-1.0.17-root/usr/lib/libbonobox.la
/var/tmp/bonobo-1.0.17-root/usr/lib/libefs.la

$ rpm -ql `rpm -qa | grep bonobo` | grep .la
/usr/bin/bonobo-slay
/usr/bin/bonobo-audio-ulaw
/usr/bin/bonobo-text-plain
/usr/lib/bonobo/monikers/libmoniker_std.la
/usr/lib/bonobo/plugin/libstorage_efs.la
/usr/lib/bonobo/plugin/libstorage_fs.la

$ rpm -qa | grep bonobo
bonobo-activation-0.9.3.90-1
bonobo-devel-1.0.17-1
bonobo-1.0.17-1
bonobo-activation-devel-0.9.3.90-1

Comment 1 Havoc Pennington 2001-12-22 01:02:03 UTC
Does anything actually want these files? (other than other .la files from
compiled when bonobo .la files were installed)

Comment 2 Enrico Scholz 2001-12-22 01:28:12 UTC
Don't know if a specific package needs them, but libtool uses them to determine
dependencies at static linking.

Comment 3 Havoc Pennington 2001-12-22 14:58:28 UTC
But you'd normally link bonobo using the output of "gnome-config --libs bonobo"
which already has all the deps, right.

Comment 4 Enrico Scholz 2002-01-10 18:41:35 UTC
You're right. Closing the bug...


Note You need to log in before you can comment on or make changes to this bug.